package cn.demo.biz.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
public class InstDTO {
    private Long id;
    /**
     * m16t001  唯一(烧录到硬件)
     */
    private String sno;
    /**
     * lilyrs-mi16
     */
    private String sname;

    private String ip;

    /**
     * 生产日期
     */
    private Long ts;

    private Long appMetaId;

    private String snt;
    private String remark;

    /**
     * 包含的 设备点位信息
     */
    private List<InstPointDTO> instPointList;





}
