package cn.demo.biz.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InstTopicDTO {

    private Long id;

    /**
     * 0-启用;1-禁用
     */
    private Integer enableFlag;

    private String topic;

    private String exampleData;

    private String remark;
    /**
     * up-上行;down-下行
     */
    private String directType;

    private Long pointInstId;

    private Long appInstId;

    private Long createTs;

    private Long updateTs;
}
