//package cn.demo.jms.send;
//
//import cn.demo.IdGenerator;
//import cn.demo.TestObj;
//import cn.hutool.core.util.IdUtil;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.jms.core.JmsTemplate;
//import org.springframework.stereotype.Component;
//
//import java.util.HashMap;
//import java.util.Map;
//
///**
// * jms共有5种消息类型
// * TextMessage  字符串消息
// * ObjectMessage  对象消息
// * MapMessage  键值对消息
// * BytesMessage  字节流 消息
// * StreamMessage 流 消息---------------artemis mq 不能发送StreamMessage
// */
//@Component
//@Slf4j
//public class JmsSendTxtSchedule {
//
//    @Autowired
//    private JmsTemplate jmsTemplate;
//    @Autowired
//    private IdGenerator idGenerator;
//
//
//
//
//    //    @Scheduled(cron = "0 29 13 * * ?")
////    @Scheduled(cron = "*/1 * * * * ?")
////    @Scheduled(fixedRate = 5000)
//    public void t1(){
//        //发送 字符串消息
//        String msg = IdUtil.fastSimpleUUID()+":"+System.currentTimeMillis();
////        log.info("t1 pre send msg:{}",msg);
//        jmsTemplate.convertAndSend("queue.sample",msg);
//
//    }
//
////    @Scheduled(cron = "*/1 * * * * ?")
//    public void t2(){
//        //发送 对象消息
//        TestObj obj = new TestObj();
//        obj.setId(idGenerator.snowflakeId());
//        obj.setTs(System.currentTimeMillis());
//        obj.setK1(IdUtil.fastSimpleUUID());
//        obj.setK2("t2send");
////        log.info("t2 pre send msg:{}",obj.toString());
//        jmsTemplate.convertAndSend("queue.testobj",obj);
//    }
//
////    @Scheduled(cron = "*/3 * * * * ?")
//    public void  t3(){
//        Map<String,Object> msg = new HashMap<>();
//        msg.put("k1","t3");
//        msg.put("k2",System.currentTimeMillis());
//        jmsTemplate.convertAndSend("queue.testmap",msg);
//    }
//
////    @Scheduled(cron = "*/2 * * * * ?")
//    public void t4(){
//        String str = "t4 --- this is a test msg"+System.currentTimeMillis();
//        byte[] bytes = str.getBytes();
//
//        jmsTemplate.convertAndSend("queue.testbytes",bytes);
//
//    }
//
//    /**
//     * org.springframework.jms.support.converter.MessageConversionException:
//     * Cannot convert object of type [java.util.stream.ReferencePipeline$Head] to JMS message.
//     * Supported message payloads are:
//     * String, byte array,
//     * Map<String,?>,
//     * Serializable object.
//     */
////    @Scheduled(cron = "*/5 * * * * ?")
////    public void t5(){
////        String ts = String.valueOf(System.currentTimeMillis());
////        Stream stream = Stream
////                .of("wer12r","21rwde","aedfr","er23ft3f",ts);
////        jmsTemplate.convertAndSend("queue.teststream",stream);
////    }
//
//
//}
