package cn.demo.mqtt.send;

import cn.hutool.core.util.IdUtil;
import lombok.extern.slf4j.Slf4j;
import org.fusesource.mqtt.client.BlockingConnection;
import org.fusesource.mqtt.client.MQTT;
import org.fusesource.mqtt.client.QoS;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;


@Component
@Slf4j
public class MqttPub {

//        @Scheduled(cron = "*/3 * * * * ?")
//    @Scheduled(fixedRate = 5000)
    public void t1() throws Exception {
        //发送 字符串消息
//        String msg = IdUtil.fastSimpleUUID()+":"+System.currentTimeMillis();
//        log.info("t1 pre send msg:{}",msg);
            // Create a new MQTT connection to the broker.  We are not setting the client ID.  The broker will pick one for us.
            log.info("Connecting to Artemis using MQTT");
            MQTT mqtt = new MQTT();
            mqtt.setHost("tcp://localhost:1883");
            mqtt.setPassword("admin");
            mqtt.setUserName("admin");
            BlockingConnection connection = mqtt.blockingConnection();
            connection.connect();
            log.info("Connected to Artemis");

            // Publish Messages
            String payload1 = "This is message 1,ts:"+System.currentTimeMillis();
//            String payload2 = "This is message 2,ts:"+System.currentTimeMillis();
            String payload3 = "This is message 3,ts:"+System.currentTimeMillis();

            connection.publish("mqtt/example/publish", payload1.getBytes(), QoS.AT_LEAST_ONCE, false);
//            connection.publish("test/test", payload2.getBytes(), QoS.AT_MOST_ONCE, false);
            connection.publish("foo/1/bar", payload3.getBytes(), QoS.AT_MOST_ONCE, false);
            log.info("Sent messages end.");
    }
}
