package cn.demo.mqtt.send;

import org.fusesource.mqtt.client.BlockingConnection;
import org.fusesource.mqtt.client.MQTT;
import org.fusesource.mqtt.client.QoS;
import org.springframework.stereotype.Service;


@Service
public class SendMqttService {


    public void send(String topic ,String msg,int qos) throws Exception {
        MQTT mqtt = new MQTT();
        mqtt.setHost("tcp://localhost:1883");
        mqtt.setPassword("admin");
        mqtt.setUserName("admin");
        BlockingConnection connection = mqtt.blockingConnection();
        connection.connect();

        if (qos==0){
            connection.publish(topic, msg.getBytes(), QoS.AT_MOST_ONCE, false);
        }else if (qos==1){
            connection.publish(topic, msg.getBytes(), QoS.AT_LEAST_ONCE, false);
        }else if (qos==2){
            connection.publish(topic, msg.getBytes(), QoS.EXACTLY_ONCE, false);
        }else {
            connection.publish(topic, msg.getBytes(), QoS.AT_MOST_ONCE, false);
        }
        connection.disconnect();
    }
}
