package cn.demo.orm.dao;

import cn.demo.orm.po.PointMeta;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PointMetaMapper {

    void insertOne(@Param("item") PointMeta item);

    void updateById(@Param("item") PointMeta item);

    void delById(Long id);

    PointMeta getOneById(Long id);

    List<PointMeta> listByWhere(@Param("item") PointMeta item);

    int insertBatch(List<PointMeta> list);


}
