package cn.demo.orm.po;

import cn.demo.biz.group.AddAppMetaGroup;
import cn.demo.biz.group.AddBomPointTopicGroup;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * app模版
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class AppMeta implements Serializable {
    private static final long serialVersionUID = -7630751097653911624L;
    private Long id;
    /**
     * Mi16
     */
    @NotBlank(groups = AddAppMetaGroup.class)
    private String name;
    /**
     * phone
     */
    @NotBlank(groups = AddAppMetaGroup.class)
    private String remark;

    private Long ts;
    /**
     * m16
     */
    @NotBlank(groups = AddAppMetaGroup.class)
    private String snt;
}
