package cn.demo.orm.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 点位模版
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class PointMeta implements Serializable {
    private static final long serialVersionUID = -6207244621076018013L;
    private Long id;
    /**
     * 用量(个)
     */
    private Long cost;

    /**
     * camera
     */
    private String name;
    /**
     * zxj
     */
    private String remark;

    private Long ts;
    /**
     * cam
     */
    private String ser;
    /**
     * 度/个/升/毫升
     */
    private String unit;
}
