package cn.demo.orm.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *
 * 有条件使用redis的话，放redis里存取
 *
 * topic_msg_recent
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TopicMsgRecent {

    private String topic;

    /**
     * 最新值
     */
    private String valu;

    /**
     * 最后更新时间
     */
    private Long ts;


}
