// 导入axios实例
import httpClient from '../ReqGlobal.js'


export function getJvmInfoApi(queryParamObj) {
    return httpClient.get('/iotcenter/third/jvmInfo',{params: queryParamObj});
}

export function loginRestApi(username, password, grant_type) {
    const data = {
        username,
        password,
        grant_type
    }
    return httpClient({
        url: '/xiaozhen-auth/oauth/token',
        method: 'post',
        data: data,
        transformRequest: [function(data) {
            let ret = ''
            for (let it in data) {
                ret += encodeURIComponent(it) + '=' + encodeURIComponent(data[it]) + '&'
            }
            return ret
        }]
    })
}
