package cn.demo.biz.dto;

import cn.demo.biz.group.AddBomPointTopicGroup;
//import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class BomPointDTO {


    /**
     * 用量(个)
     */
    @NotNull(groups = AddBomPointTopicGroup.class)  //AddBomPointTopicGroup分组使用这个校验
    private Long cost;


    private Long id;
    /**
     * camera
     */
    @NotBlank(groups = AddBomPointTopicGroup.class)
    private String name;
    /**
     * zxj
     */
    @NotBlank(groups = AddBomPointTopicGroup.class)
    private String remark;

    /**
     * cam
     */
    @NotBlank(groups = AddBomPointTopicGroup.class)
    private String ser;
    /**
     * 度/个/升/毫升
     */
    @NotBlank(groups = AddBomPointTopicGroup.class)
    private String unit;

    @NotEmpty(groups = AddBomPointTopicGroup.class)
    private List<BomTopicDTO> bomTopicList;



    @NotNull(groups = AddBomPointTopicGroup.class)
    private Long appMetaId;
}
