package cn.demo.biz.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *  *         //下线/上线....
 *  *         // up/app/notify/[sno]
 *  *         //0/1
 *  *
 *  *         //温度....通知...
 *  *          // up/temperature/notify/[serno]
 *  *          //  -10 / 13 / 31 /....
 *  *
 *  *         //门...打开/关闭了...
 *  *         //  up/door/notify/[serno]
 *  *         //  0/1
 *  *
 *  *
 *  *      //开/关门.....
 *  *        // down/door/[serno]
 *  *        // 0/1
 *  *     //关机/待机/开机
 *  *       // down/app/notify/[sno]
 *  *       //0/1/2
 *  *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class BomTopicDTO {
    private Long id;


    private String topic;
    private String exampleData;

    private String remark;
    /**
     * up-上行;down-下行
     */
    private String directType;

}
