package cn.demo.biz.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class InstPointDTO {
    private Long appInstId;

    private Long pointMetaId;

    private Long id;
    /**
     * cam00001  唯一(烧录到硬件)
     */
    private String serno;

    private String valu;

    /**
     * 度/个/升/毫升
     */
    private String unit;

    private String remark;
    /**
     * 生产日期
     */
    private Long ts;

    /**
     * 当前设备点位 对应的mqtt主题
     */
    private List<InstTopicDTO> instTopicList;



}
