package cn.demo.orm.dao;

import cn.demo.orm.po.TopicManage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TopicManageMapper {

    void insertOne(@Param("item") TopicManage item);

    int insertBatch(List<TopicManage> list);

    void updateById(@Param("item") TopicManage item);

    void delById(Long id);

    TopicManage getOneById(Long id);

    List<TopicManage>  listByWhere(@Param("item") TopicManage item);

    long countByWhere(@Param("item") TopicManage item);

}
