package cn.demo.orm.dao;

import cn.demo.orm.po.TopicMeta;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TopicMetaMapper {

    void insertOne(@Param("item") TopicMeta item);

    void updateById(@Param("item") TopicMeta item);

    void delById(Long id);

    TopicMeta getOneById(Long id);

    List<TopicMeta> listByWhere(@Param("item") TopicMeta item);

    int insertBatch(List<TopicMeta> list);
}
