package cn.demo.orm.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * topic_list_manage
 *
 *         //下线/上线....
 *         // up/app/notify/[sno]
 *         //0/1
 *
 *         //温度....通知...
 *          // up/temperature/notify/[serno]
 *          //  -10 / 13 / 31 /....
 *
 *         //门...打开/关闭了...
 *         //  up/door/notify/[serno]
 *         //  0/1
 *
 *
 *      //开/关门.....
 *        // down/door/[serno]
 *        // 0/1
 *     //关机/待机/开机
 *       // down/app/notify/[sno]
 *       //0/1/2
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TopicManage implements Serializable {


    private static final long serialVersionUID = -3584362952821690182L;
    private Long id;

    /**
     * 0-启用;1-禁用
     */
    private Integer enableFlag;

    private String topic;

    private String exampleData;

    private String remark;
    /**
     * up-上行;down-下行
     */
    private String directType;

    private Long pointInstId;

    private Long appInstId;

    private Long createTs;

    private Long updateTs;

}
