package cn.demo.orm.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 主题模版
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TopicMeta implements Serializable {
    private static final long serialVersionUID = -618834066368275908L;
    private Long id;
    private Long createTs;

    private Long updateTs;

    private String topic;
    private String exampleData;

    private String remark;
    /**
     * up-上行;down-下行
     */
    private String directType;

    private Long pointMetaId;

}
