package cn.demo.orm.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 有条件使用 时序数据库 的话，放 时序数据库 里存取 ,如 influx db  , timescale db
 *
 * topic_msg_all
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TopicMsgAll {

    private Long id;

    private String topic;

    /**
     * 记录时间=ts 时的值
     */
    private String valu;
    private Long ts;

    /**
     * 1-未处理;0-处理完成
     */
    private Integer handleFlag;



    //---------------------------------

    private Long startTime;
    private Long endTime;

}
