package cn.demo.rest.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TopicDataOverTimeReq {

    @NotBlank
    private String topic;

    @NotNull
    private Long startTime;

    @NotNull
    private Long endTime;
}
